checkinstall (1.6.2+git20170426.d24a630-6) unstable; urgency=medium

  * Bump standards version to 4.7.4
  * Add loong64 support (Closes: #1085196)
    Thanks wuruilong for the patch! loongarch64 has no __xstat() to
    intercept, so the patch wraps stat(), lstat(), fstatat() and mknod()
    directly.
  * Make filesystem translation work against a current glibc, which covers
    most of what has been reported over the years as --fstrans=yes being
    broken (Closes: #1051180, #1116590):
    - Intercept the stat family through the symbols glibc exports. glibc 2.33
      turned stat(), lstat(), fstatat() and mknod() into ordinary functions,
      so a library defining only __xstat() no longer sees the stat calls that
      binaries in the archive make, and every tool that stats a path before
      acting on it was told the file did not exist. The loong64 wrappers
      above are needed here too, so the condition guarding them is the glibc
      version rather than the architecture.
    - Intercept statx()
    - Perform linkat() on the translated paths. It linked the paths it was
      given, so the hard link was made against the real filesystem even with
      --fstrans=yes
    - Intercept __open_2(), __openat_2() and their LFS64 spellings, which
      _FORTIFY_SOURCE substitutes for open() and openat()
    - Intercept the mkstemp family, which opens its file through an internal
      call the open() wrapper never sees
  * Stop backups from destroying symlinked directories such as /lib on
    merged-/usr systems (Closes: #1107638):
    - Resolve symlinks in the parent directories of a path before mirroring
      it into installwatch's backup tree, so restoring that tree over / can
      no longer replace a symlink with a real directory
    - Don't back up files on a read-only access() call
    - Pass --keep-directory-symlink to tar when restoring a backup, as a
      safety net
  * Record installed files under their real parent directories, so that a
    package built from an install writing to e.g. /lib/systemd/system ships
    /usr/lib/systemd/system and drops the aliased paths
  * Take option values as given rather than re-evaluating them through the
    shell. Values holding shell metacharacters, such as
    --maintainer="Jane Doe <jane@example.org>" and
    --requires="libc6 (>= 2.28)", now reach the package intact where they
    used to be dropped without a word (Closes: #785441)
  * Keep installed files whose path merely contains the name of the build
    directory. The check that finds them anchors its pattern, the one that
    dropped them did not, so building in /myapp also excluded
    /usr/include/myapp from the package (Closes: #1033483)
  * Fix the ld.so.conf guard in the postinstall script written for
    --addso=yes. It used "&>", which /bin/sh reads as a background command
    plus a stray redirection, so the guard never held and the library
    directory was appended again on every install (Closes: #892985)
  * Look for the shared libraries under the build directory when --addso=yes
    is given. checkinstall asked file(1) about their final absolute path,
    where filesystem translation leaves nothing, so it recognised no
    libraries and wrote no postinstall script
  * Drop "install -o root -g root" from the upstream install target. It fails
    under dpkg 1.22.13 and later, where a package that leaves
    Rules-Requires-Root unset runs its binary targets without (fake)root

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 06 Aug 2026 17:10:56 -0500

checkinstall (1.6.2+git20170426.d24a630-5) unstable; urgency=medium

  [ Stephen Gelman ]
  * Fix HPPA build (Closes: #1055075)
    Thanks John David Anglin for the patch!
  * Fix riscv64 build (Closes: #1055077)
    Thanks Aurelien Jarno for the patch!
  * Fix armhf/armel build post-t64 transition (Closes: #1069436)

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 11 Sep 2024 00:24:44 -0500

checkinstall (1.6.2+git20170426.d24a630-4) unstable; urgency=medium

  * Add support for Pre-Depends field in package (Thanks
    yjqg6666 <jinking.this@gmail.com>!)
  * Fix bug with "mkdir -p" command. Thanks to Geoffrey Hausheer for the fix!
    (Closes: #717778)
  * Bump standards version to 4.6.2 (no changes)

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 29 Oct 2023 16:30:19 -0500

checkinstall (1.6.2+git20170426.d24a630-3) unstable; urgency=medium

  * Fix building under glibc >= 2.33. Thanks to Lukas Märdian for the fix!
    (Closes: #996478)
  * Bump standards version and dh compat level (no changes necessary)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 15 Oct 2021 02:09:53 -0500

checkinstall (1.6.2+git20170426.d24a630-2) unstable; urgency=medium

  * Remove embedded build path to make build reproducible (closes: #941715)
    Thanks to Chris Lamb for the fix!

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 04 Oct 2019 16:49:50 -0500

checkinstall (1.6.2+git20170426.d24a630-1) unstable; urgency=medium

  * Project is not making new releases but has fixes in git so pulling those
    in
  * Add support in installwatch for new renameat2 syscall.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 27 Sep 2019 15:37:59 +0000

checkinstall (1.6.2-6) unstable; urgency=medium

  * Fix adding files to dpkg conffiles (Thanks to Larsen for the fix!)
    (Closes: #781169, #809415)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 15 Jul 2019 00:06:18 -0500

checkinstall (1.6.2-5) unstable; urgency=medium

  * New maintainer
  * Move VCS to salsa
  * Update to debhelper compat level 12
  * Update to Standards-Version 4.4.0 (no change)
  * Minor lintian fixes
  * Test installcheck when building the package using included tests
  * Fix segfault relating to _xstat64() (Thanks to Giulio Moro for the fix!)
    (Closes: #878487)

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 09 Jul 2019 23:01:02 -0500

checkinstall (1.6.2-4) unstable; urgency=low

  [ Andreas Noteng ]
  * Fix wrong license name in debian/copyright (s/GPL2/GPL2+/)

  [ Timo Juhani Lindfors ]
  * Add patch 0011-fix-crash-when-sizeof-mode_t-sizeof-int.patch
    (closes: #702314)

 -- Andreas Noteng <andreas@noteng.no>  Fri, 08 Mar 2013 09:40:43 +0100

checkinstall (1.6.2-3) unstable; urgency=low

  * Don't include empty control fields (closes: #666262)
  * Update Standards-Version
    - Update debian/copyright to version 1.0
  * Don't include directories in conffiles (closes: #655453)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 01 Apr 2012 18:22:33 +0200

checkinstall (1.6.2-2) unstable; urgency=low

  [ Andreas Noteng ]
  * New maintainer (closes: #608238)
  * Fix broken watch file
  * Change to machine readable copyright file
  * Update Standards-Version (no change).
  * Remove Breaks: and Replaces: installwatch (package no longer in Debian)
  * Fix wrong installwatch copyright information

  [ Felipe Sateler ]
  * Set file permissions to o=g instead of 644 when --reset-uids is passed

 -- Felipe Sateler <fsateler@debian.org>  Wed, 09 Feb 2011 15:51:28 -0300

checkinstall (1.6.2-1) unstable; urgency=low

  * New upstream release. Closes: #570510
    - Update patches for new upstream release
  * Manage patches with gpb-pq
  * Update Standards-Version (no changes needed)
  * Switch to source format 3.0 (quilt)
    - Drop quilt usage
  * Drop unnecessary dh_clean override
  * Use multiline Build-Depends
  * Re-enable filesystem translation by default, it was fixed upstream.
      Closes: #510681, #490633, #478312

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 15 Apr 2010 16:21:45 -0400

checkinstall (1.6.1-10) unstable; urgency=low

  * Fix build failure with glibc 2.10. Thanks Joao Pinto.
     Closes: #552860
  * Remove backtick from HEREDOC. Closes: #556725

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 17 Nov 2009 14:52:24 -0300

checkinstall (1.6.1-9) unstable; urgency=low

  * Move to debhelper 7
  * Add misc:Depends to the Depends line
  * Remove dependency on findutils
  * Remove dependency on libc headers
  * Use correct quilt version
  * Update the checkinstall homepage
  * Allow overriding architecture in Debian. Closes: #501027
  * Document use of quilt in patch management
  * Update standards version (no changes needed)

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 24 Sep 2009 14:33:05 -0400

checkinstall (1.6.1-8) unstable; urgency=low

  * Recommend make since it's the most used install tool. (Closes: #487964).
  * Use quilt for managing patches to upstream sources.
  * Allow Requires to be used in Debian. (Closes: #469639)
  * Turn off system translation by default, since it is currently broken.
  * Update the Vcs-* tags since we moved to Git.

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 24 Jul 2008 14:34:06 -0400

checkinstall (1.6.1-7) unstable; urgency=high

  * Use mktemp instead of awk magic to create temporary directories.
    The original implementation had a race condition that allowed for a
    symlink attack. This is security related, so set urgency to high.

 -- Felipe Sateler <fsateler@gmail.com>  Wed, 25 Jun 2008 23:58:05 -0400

checkinstall (1.6.1-6) unstable; urgency=low

  * Use the new Vcs-* fields.
  * Do not ship empty directories.
  * Use $(MAKE) instead of make in the makefile
  * Support Provides: field in debian.
  * Depend on dpkg-dev, since we use dpkg-architecture
    (Closes: #484828)
  * Move url to the Homepage field.
  * Convert debian/copyright to UTF-8.
  * Bump standards version to 3.8.0 (no changes needed).

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 12 Jun 2008 08:57:53 -0400

checkinstall (1.6.1-5) unstable; urgency=low

  * Fix typo: striping -> stripping.
  	(Closes: #447776)
  * Fix FTBFS on kfreebsd-amd64.
  	(Closes: #451111)
  * Move manpage to section 8 and note that checkinstall must be run as root.
  	(Closes: #448533)

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 13 Nov 2007 10:29:15 -0300

checkinstall (1.6.1-4) unstable; urgency=low

  * Fix access() filtering in checkinstall.
  	(Closes: #404542)
  * Fix backup cleaning that may delete stuff we don't want to.
  * Remove spurious quotes which may behave badly under some conditions.
  * Find files created under /home and ask for exclusion.
  * Don't strip installwatch.so in upstream's Makefile
  	(Closes: #436621)

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 10 Aug 2007 20:56:47 -0400

checkinstall (1.6.1-3) unstable; urgency=low

  * Fix FTBFS in some archs, by fixing the build dependencies.
  	(Closes: #422213)

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 04 May 2007 13:17:01 -0400

checkinstall (1.6.1-2) unstable; urgency=low

  * Avoid shell command reinterpretation.
  	(Closes: #306075)
  * Ease kernel module package creation by detecting depmod calls
    and acting accordingly.
    	(Closes: #373103)
  * Fix FTBFS on GNU/kFreeBSD, patch from Cyril Brulebois.
  	(Closes: #414310)
  * Comment =yes and =no arguments to options in the man page.
  	(Closes: #409340)
  * Check for correct version numbers.
  	(Closes: #175240)
  * Check for correct package names in Debian.
  	(Closes: #356524)
  * Fix typos in checkinstall and installwatch man pages.
  * Do not pase usage information through a pager.
  * Fix charset in spanish and german translations
       (Closes: #418494)
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
  * Pass messages to gettext without \n, add it later.
  * Correct the readlink definition to match the newer 2.5 glibc: now return
    a ssize_t instead of an int.

 -- Felipe Sateler <fsateler@gmail.com>  Sat, 21 Apr 2007 16:12:41 -0400

checkinstall (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Tag files in /etc as conffiles
  	(Closes: #284786)
  * Fix backup restoration changing permissions of the root directory.
  	(Closes: #342578, #281823)
  * Fix erronous manpage sgml files.

 -- Felipe Sateler <fsateler@gmail.com>  Wed,  6 Dec 2006 00:02:32 -0300

checkinstall (1.6.0-2) unstable; urgency=low

  * Fix temporary script deletion (Thanks to David Jarvie for the patch)
  	(Closes: Bug#367935)
  * --requires works for all packages, not just rpm
  * Default documentation installation to /usr/share/doc instead of /usr/doc
  * Remove duplicate version information when usage information is displayed
  * Fix getcwd when in filesystem translation mode. Patch from David Brown.
  	(Closes: Bug#374648)
  * Rewrite both man pages (we now build-dep in docbook-to-man)
  	(Closes: Bug#238202, Bug#351969)
  * Fix upper case detection under some locales
  * Check for underscores in debian package names.
  	(Closes: Bug#364813)
  * Fix typo: maintaner != maintainer.
  	(Closes: Bug#377609)
  * Fix documentation installation directory (Thanks to Martintxo).
  	(Closes: Bug#383541)

 -- Felipe Sateler <fsateler@gmail.com>  Mon, 21 Aug 2006 20:18:19 -0400

checkinstall (1.6.0-1) unstable; urgency=low

  * Taken over checkinstall and installwatch.
    - Merged with installwatch
    - Recreated the packaging, and fixed installation locations.
  * New upstream release
    (Closes: Bug#347469, Bug#295229, Bug#322555)
  * Suggests gettext
  * Fixed typos in the checkinstall manpage. Thanks to Helge Kreutzmann.
    (Closes: Bug#247999)
  * Scripts now run bash instead of sh, due to possible bashisms
  * Fixed amd64 installations, thanks to Martin Samuelsson and Alexandra N.
    Kossovsky
    (Closes: Bug#298152)
  * Depends in findutils >= 4.2
    (Closes: Bug#357496)
  * Upgrade policy version to 3.7.2

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 10 Jan 2006 21:19:26 -0300

checkinstall (1.5.3-3) unstable; urgency=medium

  * Applied patch from "Martin H" to fix doc installation
    (Closes: #174108)
  * Now using /usr/bin/sensible-pager for a pager, instead of "less".
    (Closes: Bug#225630)
  * Regenerated and "fixed" manpage - Thanks Colin Watson for the fix.
    (Closes: Bug#175141)

 -- Matt Hope <dopey@debian.org>  Mon, 12 Apr 2004 22:56:58 +1000

checkinstall (1.5.3-2) unstable; urgency=low

  * Fixed directory path in checkinstall script
    (Closes: Bug#164849)
  * Added a "Depend" on "file".
    (Closes: Bug#192611)
  * Updated `Standards-Version'

  * Applied patches/fixes from Morten Hustveit <morten@debian.org>
    (Much respect for fixing these)
     - Replaced `eval echo $1` with "$1" when setting maintainer.
      (Closes: Bug#165483)
     - Replaced description in man-page with a more suitable one.
      (Closes: Bug#174538, Bug#212559)
     - Default to creating Debian packages.
      (Closes: Bug#181832)

 -- Matt Hope <dopey@debian.org>  Sat, 11 Oct 2003 18:40:27 +1000

checkinstall (1.5.3-1) unstable; urgency=low

  * New upstream release
    - PPC Arch "fixup" rewritten
      (Closes: Bug#171040)

  * Documentation directory name (/usr/share/doc/$PACKAGENAME) now
    correctly calculated from the package name, rather than the source
    directory name.
    (Closes: Bug#165481)

  * Documentation directory changed from defaulting to /usr/doc/ to
    /usr/share/doc/
    (Closes: Bug#165480)

 -- Matt Hope <dopey@debian.org>  Sun,  8 Dec 2002 15:18:57 +1100

checkinstall (1.5.2-2) unstable; urgency=low

  * debian/rules; Changed #!/bin/sh to #!/bin/sh as script contains
    bash-isms.
    (Closes: Bug#157348)
  * Added in a check for if (arch="ppc") { arch="powerpc" }
    (Closes: Bug#155218)

 -- Matt Hope <dopey@debian.org>  Wed, 21 Aug 2002 21:35:23 +1000

checkinstall (1.5.2-1) unstable; urgency=low

  * Initial package
    (Closes: Bug#122914)

 -- Matt Hope <dopey@debian.org>  Sat, 29 Jun 2002 15:38:08 +1000
checkinstall (1.5.3-2) unstable; urgency=low

  * Default installation type is now debian in /etc/checkinstall
    (Closes: Bug#181832)

  * Fixed dot at start of line in manpage
    (Closes: Bug#175141)

  * Changed defaults to not delete doc-pak, spec or description-pak
    (Closes: Bug#165482)

  * Fixed incorrect NAME secrion in manpage
    (Closes: #174538)

  * Fixed changelog entry (1.5.2-2) - changed to #!/bin/bash

 -- Matt Hope <dopey@debian.org>  Sun, 23 Mar 2003 20:09:39 +1100

checkinstall (1.5.3-1) unstable; urgency=low

  * New upstream release
    - PPC Arch "fixup" rewritten
      (Closes: Bug#171040)

  * Documentation directory name (/usr/share/doc/$PACKAGENAME) now
    correctly calculated from the package name, rather than the source
    directory name.
    (Closes: Bug#165481)

  * Documentation directory changed from defaulting to /usr/doc/ to
    /usr/share/doc/
    (Closes: Bug#165480)

 -- Matt Hope <dopey@debian.org>  Sun,  8 Dec 2002 15:18:57 +1100

checkinstall (1.5.2-2) unstable; urgency=low

  * debian/rules; Changed #!/bin/sh to #!/bin/bash as script contains
    bash-isms.
    (Closes: Bug#157348)
  * Added in a check for if (arch="ppc") { arch="powerpc" }
    (Closes: Bug#155218)

 -- Matt Hope <dopey@debian.org>  Wed, 21 Aug 2002 21:35:23 +1000

checkinstall (1.5.2-1) unstable; urgency=low

  * Initial package
    (Closes: Bug#122914)

 -- Matt Hope <dopey@debian.org>  Sat, 29 Jun 2002 15:38:08 +1000
